{
  "name": "@report-portal/service-ui",
  "private": true,
  "version": "0.0.0",
  "license": "Apache-2.0",
  "scripts": {
    "eslint": "eslint \"./**/*.jsx\" \"./**/*.js\"",
    "stylelint": "stylelint \"./**/*.scss\"",
    "lint": "npm run eslint && npm run stylelint",
    "format:js": "npm run eslint -- --fix",
    "format:scss": "npm run stylelint -- --fix",
    "format": "npm run format:js && npm run format:scss && prettier --write */**/*.md",
    "dev": "cross-env NODE_ENV=development webpack-dev-server --port 3000",
    "build": "webpack -p",
    "sealights": "cross-env NODE_ENV=sealights webpack",
    "test": "jest --notify",
    "test:watch": "jest --watch",
    "test:coverage": "jest --coverage",
    "manage:translations": "cross-env NODE_ENV=development webpack --display none && babel-node ./localization/translatorRunner.js",
    "manage:translations:test": "cross-env NODE_ENV=development webpack --display none && babel-node ./localization/translatorRunnerCheck.js",
    "storybook": "cross-env NODE_ENV=development start-storybook -p 9001 -c .storybook",
    "storybook:build": "build-storybook -c .storybook -o .storybook_app"
  },
  "dependencies": {
    "@formatjs/intl-pluralrules": "1.3.9",
    "@formatjs/intl-relativetimeformat": "4.5.1",
    "@formatjs/intl-utils": "1.6.0",
    "array.find": "1.0.7",
    "array.findindex": "1.0.4",
    "axios": "0.18.1",
    "babel-plugin-add-module-exports": "0.2.1",
    "c3": "0.7.8",
    "chart.js": "2.8.0",
    "chartjs-plugin-datalabels": "0.6.0",
    "classnames": "2.2.5",
    "codemirror": "5.47.0",
    "color": "3.1.1",
    "core-js": "2.5.7",
    "d3": "5.9.2",
    "d3-selection": "1.4.0",
    "dompurify": "2.0.7",
    "dotenv": "5.0.1",
    "downshift": "3.4.8",
    "fast-deep-equal": "2.0.1",
    "fetch-jsonp": "1.1.3",
    "history": "4.7.2",
    "html-react-parser": "0.4.5",
    "intl": "1.2.5",
    "intl-locales-supported": "1.8.4",
    "marked": "0.7.0",
    "moment": "2.25.3",
    "object.values": "1.1.1",
    "perf-cascade": "2.5.4",
    "polyfill-array-includes": "2.0.0",
    "promise-polyfill": "8.1.0",
    "prop-types": "15.7.2",
    "pure-react-carousel": "1.19.0",
    "qhistory": "1.0.0",
    "qs": "6.5.2",
    "rc-slider": "8.6.3",
    "react": "16.12.0",
    "react-autosuggest": "9.3.4",
    "react-color": "2.17.0",
    "react-copy-to-clipboard": "5.0.1",
    "react-custom-scrollbars": "4.2.1",
    "react-datepicker": "1.4.1",
    "react-dom": "16.12.0",
    "react-dropzone": "4.2.9",
    "react-event-observer": "0.5.11",
    "react-ga": "2.5.3",
    "react-grid-layout": "0.17.1",
    "react-hot-loader": "3.1.1",
    "react-intl": "3.9.1",
    "react-lazyload": "2.5.0",
    "react-popper": "1.3.3",
    "react-redux": "7.1.3",
    "react-reflex": "3.0.16",
    "react-select": "1.2.1",
    "react-syntax-highlighter": "11.0.1",
    "react-tracking": "7.2.1",
    "react-transition-group": "4.3.0",
    "rebound": "0.1.0",
    "redux": "4.0.4",
    "redux-devtools-extension": "2.13.2",
    "redux-first-router": "0.0.20-next",
    "redux-first-router-link": "2.1.1",
    "redux-form": "8.2.6",
    "redux-saga": "0.16.0",
    "reselect": "3.0.1",
    "reset-css": "2.2.1",
    "semver-diff": "2.1.0",
    "simplemde": "1.11.2",
    "swagger-ui-react": "3.28.0",
    "video.js": "7.4.1"
  },
  "devDependencies": {
    "@babel/core": "7.6.3",
    "@babel/node": "7.7.0",
    "@babel/plugin-proposal-class-properties": "7.5.5",
    "@babel/plugin-proposal-decorators": "7.6.0",
    "@babel/plugin-transform-runtime": "7.6.2",
    "@babel/polyfill": "7.6.0",
    "@babel/preset-env": "7.6.3",
    "@babel/preset-react": "7.6.3",
    "@storybook/addon-actions": "5.2.3",
    "@storybook/addon-links": "5.2.3",
    "@storybook/addon-viewport": "5.2.3",
    "@storybook/addons": "5.2.3",
    "@storybook/react": "5.2.3",
    "@storybook/theming": "5.2.3",
    "axios-mock-adapter": "1.17.0",
    "babel-eslint": "10.0.3",
    "babel-loader": "8.0.6",
    "babel-plugin-react-intl": "4.1.20",
    "circular-dependency-plugin": "5.2.0",
    "clean-webpack-plugin": "2.0.2",
    "compression-webpack-plugin": "3.0.0",
    "cross-env": "6.0.3",
    "css-hot-loader": "1.4.4",
    "css-loader": "3.2.0",
    "enzyme": "3.10.0",
    "enzyme-adapter-react-16": "1.15.0",
    "enzyme-to-json": "3.4.2",
    "eslint": "6.5.1",
    "eslint-config-airbnb": "18.0.1",
    "eslint-config-prettier": "6.4.0",
    "eslint-import-resolver-webpack": "0.11.1",
    "eslint-loader": "3.0.2",
    "eslint-plugin-babel": "5.3.0",
    "eslint-plugin-import": "2.18.2",
    "eslint-plugin-jsx-a11y": "6.2.3",
    "eslint-plugin-prettier": "3.1.1",
    "eslint-plugin-react": "7.16.0",
    "file-loader": "4.2.0",
    "html-webpack-plugin": "3.2.0",
    "husky": "3.0.8",
    "identity-obj-proxy": "3.0.0",
    "jest": "24.9.0",
    "jest-junit": "9.0.0",
    "lint-staged": "9.4.2",
    "mini-css-extract-plugin": "0.8.0",
    "node-sass": "4.14.1",
    "postcss-loader": "3.0.0",
    "prettier": "1.19.1",
    "raw-loader": "3.1.0",
    "react-addons-test-utils": "15.6.2",
    "react-intl-translations-manager": "5.0.3",
    "regenerator-runtime": "0.13.3",
    "sass-loader": "8.0.0",
    "sass-resources-loader": "2.0.1",
    "slnodejs": "^4.0.294",
    "storybook-addon-intl": "2.4.1",
    "storybook-host": "5.1.0",
    "storybook-readme": "5.0.8",
    "style-loader": "1.0.0",
    "stylelint": "11.0.0",
    "stylelint-config-recommended-scss": "4.0.0",
    "stylelint-declaration-use-variable": "1.7.0",
    "stylelint-prettier": "1.1.1",
    "stylelint-scss": "3.11.1",
    "svg-inline-loader": "0.8.0",
    "url-loader": "2.2.0",
    "webpack": "4.41.0",
    "webpack-cli": "3.3.9",
    "webpack-dev-server": "3.11.0",
    "webpack-hot-middleware": "2.25.0",
    "webpack-merge": "4.2.2",
    "webpack-notifier": "1.8.0",
    "webpack-subresource-integrity": "1.5.0",
    "why-did-you-update": "1.0.6"
  },
  "jest": {
    "setupFiles": [
      "./jestsetup.js"
    ],
    "snapshotSerializers": [
      "<rootDir>/node_modules/enzyme-to-json/serializer"
    ],
    "moduleNameMapper": {
      "^.+\\.(css|scss)$": "identity-obj-proxy",
      "^.+\\.(svg|jpg|jpeg|png|gif)$": "<rootDir>/test/__mocks__/fileMock.js",
      "^components[/](.+)": "<rootDir>/src/components/$1",
      "^controllers[/](.+)": "<rootDir>/src/controllers/$1",
      "^common[/](.+)": "<rootDir>/src/common/$1",
      "^pages[/](.+)": "<rootDir>/src/pages/$1",
      "^store[/](.+)": "<rootDir>/src/store/$1",
      "^routes[/](.+)": "<rootDir>/src/routes/$1",
      "^layouts[/](.+)": "<rootDir>/src/layouts/$1"
    },
    "notify": false
  },
  "lint-staged": {
    "*.{js,jsx}": [
      "eslint --fix",
      "git add"
    ],
    "*.{scss}": [
      "stylelint --fix",
      "git add"
    ],
    "*.{md}": [
      "prettier --write",
      "git add"
    ]
  },
  "browserslist": [
    "ie 11"
  ]
}
